<template>
 <div style="width: 100%;min-width: 100px">
  <el-select @change="(e) =>{$emit('change', e)}" :disabled="disabled" v-model="val">
    <el-option :value="item.id" :label="$l(item, 'title') + item.fuhao"  v-for="(item)  in options"></el-option>
  </el-select>
 </div>
</template>

<script>
export default {
  name: "currency-select",
   props:{
     disabled:{
       type:Boolean,
       default:false
     },
    options:{
      type:Array,
      default:()=>[]
    },
     value:{
      type: [Number,String],
       default:undefined,
     }
   },
  data(){
    return{
      val:''
    }
  },
  created() {
    this.val = this.value;
  },
  watch:{
    val(){
      this.$emit('input',this.val)
    },
    value(val){
      console.log(val,'valllll')
      this.val = val;
    }
  }
}
</script>

<style scoped>

</style>
